vaseboot/tests/ext234_test.in

34 lines
692 B
Plaintext

#!@BUILD_SHEBANG@
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
fi
if [ "$EUID" != 0 ] ; then
exit 99
fi
if ! which mkfs.ext2 >/dev/null 2>&1; then
echo "mkfs.ext2 not installed; cannot test ext2."
exit 99
fi
if ! which mkfs.ext3 >/dev/null 2>&1; then
echo "mkfs.ext3 not installed; cannot test ext3."
exit 99
fi
if ! which mkfs.ext4 >/dev/null 2>&1; then
echo "mkfs.ext4 not installed; cannot test ext4."
exit 99
fi
"@builddir@/VasEBoot-fs-tester" ext2_old
"@builddir@/VasEBoot-fs-tester" ext2
"@builddir@/VasEBoot-fs-tester" ext3
"@builddir@/VasEBoot-fs-tester" ext4
"@builddir@/VasEBoot-fs-tester" ext4_metabg
"@builddir@/VasEBoot-fs-tester" ext4_encrypt